/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: LoadBalancingClass.java 1739 2008-04-25 14:38:47Z eyindanga $
 * --------------------------------------------------------------------------
 */

/**
 *
 */
package org.ow2.cmi.lb.data;

/**
 * @author The new CMI team
 *
 */
/**
 *
 */
public class LoadBalancingClass {
    /**
     * The class name.
     */
    String name;

    /**
     * The class type.<code>STRATEGY or POLICY</code>
     */
    String type;

    /**
     * Id of the archive that provides this class
     */
    String archiveId;

    /**
     * Default constructor.
     */
    public LoadBalancingClass() {

    }

    /**
     * Constructor using fields.
     * @param name
     * @param type
     * @param archiveId
     */
    public LoadBalancingClass(final String name, final String type, final String archiveId) {
        this.name = name;
        this.type = type;
        this.archiveId = archiveId;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(final String type) {
        this.type = type;
    }

    /**
     * @return the archiveId
     */
    public String getArchiveId() {
        return archiveId;
    }

    /**
     * @param archiveId the archiveId to set
     */
    public void setArchiveId(final String archiveId) {
        this.archiveId = archiveId;
    }
}
